/// <reference types="react" />
import { ComponentModel } from '@teambit/component';
import { SlotRegistry } from '@teambit/harmony';
import { Drawer } from './drawer';
export declare type ComponentTypeProps = {
    component: ComponentModel;
};
export declare type DrawerSlot = SlotRegistry<Drawer>;
export declare class SidebarUI {
    private drawerSlot;
    constructor(drawerSlot: DrawerSlot);
    /**
     * register a new drawer into the component sidebar.
     */
    registerDrawer(drawer: Drawer): this;
    /**
     * render the sidebar.
     */
    render: () => JSX.Element;
    static runtime: import("@teambit/harmony").RuntimeDefinition;
    static slots: ((registerFn: () => string) => SlotRegistry<Drawer>)[];
    static dependencies: any[];
    static provider(deps: any, config: any, [drawerSlot]: [DrawerSlot]): Promise<SidebarUI>;
}
